> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gominerva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List risk assessments

> Lists risk assessments for the application tenant with status, task status, search, and pagination filters.



## OpenAPI

````yaml /api-reference/risk-assessment-agents.json get /assessments
openapi: 3.0.0
info:
  title: Minerva Agent Risk Assessments API
  version: 0.1.0-beta
  description: >-
    Beta customer API for creating, running, steering, reviewing, and concluding
    agent-driven risk assessments.
servers:
  - url: https://api.gominerva.com/risk-assessments/v2
    description: Central Minerva API route for beta agent risk assessment endpoints
security:
  - ApplicationApiKeyAuth: []
tags:
  - name: Configuration
    description: Workflow, status, and scorecard discovery.
  - name: Assessments
    description: Assessment lifecycle endpoints.
  - name: Review And Collaboration
    description: Comments, tasks, notes, questions, and confirmations.
  - name: Relationships Canvas
    description: Relationship canvas read and write endpoints.
  - name: Agent Runtime
    description: Run, trajectory, command, input, steering, and resume endpoints.
paths:
  /assessments:
    get:
      tags:
        - Assessments
      summary: List risk assessments
      description: >-
        Lists risk assessments for the application tenant with status, task
        status, search, and pagination filters.
      operationId: listRiskAssessments
      parameters:
        - $ref: '#/components/parameters/AssessmentStatus'
        - $ref: '#/components/parameters/TaskStatus'
        - $ref: '#/components/parameters/Search'
        - $ref: '#/components/parameters/SubjectSearch'
        - $ref: '#/components/parameters/Outcome'
        - $ref: '#/components/parameters/SortBy'
        - $ref: '#/components/parameters/SortDirection'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          $ref: '#/components/responses/OkEnvelope'
        '401':
          $ref: '#/components/responses/ErrorEnvelope'
        '500':
          $ref: '#/components/responses/ErrorEnvelope'
components:
  parameters:
    AssessmentStatus:
      name: status
      in: query
      schema:
        type: string
        example: running,waiting_for_user,ready_for_review
      description: Comma-separated assessment statuses.
    TaskStatus:
      name: task_status
      in: query
      schema:
        type: string
        example: requires_review,incomplete
      description: Comma-separated task statuses.
    Search:
      name: search
      in: query
      schema:
        type: string
      description: Case-insensitive search string.
    SubjectSearch:
      name: subject_search
      in: query
      schema:
        type: string
      description: Search assessment subjects by name.
    Outcome:
      name: outcome
      in: query
      schema:
        type: string
      description: Search conclusion outcome.
    SortBy:
      name: sort_by
      in: query
      schema:
        type: string
        example: updated_at
      description: >-
        Supported values include assessment, title, subjects, status,
        updated_at, concluded_at, created_at, and outcome.
    SortDirection:
      name: sort_direction
      in: query
      schema:
        type: string
        enum:
          - asc
          - desc
      description: Sort direction.
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        default: 50
      description: Maximum records to return.
    Offset:
      name: offset
      in: query
      schema:
        type: integer
        default: 0
      description: Offset for page-style pagination.
  responses:
    OkEnvelope:
      description: OK
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Envelope'
    ErrorEnvelope:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  schemas:
    Envelope:
      type: object
      properties:
        status:
          type: integer
          example: 200
        msg:
          type: string
          example: OK
        result:
          $ref: '#/components/schemas/GenericObject'
      required:
        - status
        - msg
        - result
    ErrorEnvelope:
      type: object
      properties:
        status:
          type: integer
          example: 400
        msg:
          type: string
          example: Bad Request
        error:
          type: string
      required:
        - status
        - msg
    GenericObject:
      type: object
      additionalProperties: true
  securitySchemes:
    ApplicationApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Use the format `Api-Key YOUR_API_KEY`.

````